
%global meadversion 0.6.0
%global namedversion 0.6.0.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 1
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}apache-mime4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.6.0.redhat-5

Name:           %{?scl_prefix}apache-mime4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache JAMES Mime4j
Group:          Development/Java

%if %with mead
Source100: apache-mime4j-0.6.0.redhat-5-scm-sources.zip
Source102: apache-mime4j-0.6.0.redhat-5-bin.tar.gz
Source103: apache-mime4j-0.6.0.redhat-5-src.zip
Source104: apache-mime4j-0.6.0.redhat-5-javadoc.jar
Source105: apache-mime4j-0.6.0.redhat-5-bin.zip
Source106: apache-mime4j-0.6.0.redhat-5-project-sources.tar.gz
Source107: apache-mime4j-0.6.0.redhat-5-sources.jar
Source108: apache-mime4j-0.6.0.redhat-5.pom
Source109: apache-mime4j-0.6.0.redhat-5.jar
Source110: apache-mime4j-0.6.0.redhat-5-src.tar.gz
%endif

License:        ASL 2.0
URL:            http://james.apache.org/mime4j
%if 0
Requires:       %{?scl_prefix_eap}commons-logging >= 0:1.1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/apache-mime4j-%{namedversion}-%{release}-root

%description
Java stream based MIME message parser.

%if %with javadoc
%package javadoc
Summary:        Javadoc for apache-mime4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n james-mime4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-mime4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/apache-mime4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-mime4j-%{namedversion} -x META-INF/\*
%{__ln_s} apache-mime4j-%{namedversion} %{buildroot}%{_javadocdir}/apache-mime4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt RELEASE_NOTES.txt
%{_javadir}/apache-mime4j-%{namedversion}.jar
%{_javadir}/apache-mime4j.jar
%if %with javadoc
%{_javadir}/apache-mime4j-%{namedversion}-javadoc.jar
%{_javadir}/apache-mime4j-javadoc.jar
%endif
%{_javadir}/apache-mime4j-%{namedversion}-sources.jar
%{_javadir}/apache-mime4j-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/apache-mime4j-%{namedversion}
%{_javadocdir}/apache-mime4j
%endif

%changelog
* Mon Apr 13 2015 David Walluck <dwalluck@redhat.com> - 0.6.0-1.redhat_5.1
- release

